Webservices are not working after upgrade of Plesk

Refers to:

  • Plesk 10.4 for Linux
  • Plesk 11.0 for Linux
  • Plesk 11.5 for Linux
  • Plesk 12.0 for Linux

Created:

2016-11-16 13:13:45 UTC

Modified:

2016-12-21 20:14:21 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Webservices are not working after upgrade of Plesk

Symptoms

Web server is giving the error below and it cannot be configured after Plesk upgrade.

Unable to configure the web server: Execution failed. :

 ERR (3) [panel]: Apache config (13755595150.36596600) generation failed: Template_Exception: Syntax error on line 65 of /etc/httpd/conf/plesk.conf.d/vhosts/domain.tld.conf: FcgidIOTimeout must be greater than 0 file: /usr/local/psa/admin/plib/Template/Writer/Webserver/Abstract.php line: 68 code: 0 Syntax error on line 65 of /etc/httpd/conf/plesk.conf.d/vhosts/domain.tld.conf: Fcgid
IOTimeout must be greater than 0

Cause

According to official PHP documentation max_execution_time can get integer values.

But in case if it is set for example as -1 it states to PHP that script should be executed in less than 0 seconds.

Resolution

Set correct value for max_execution_time PHP parameter, recommend value is 60 .

For unlimited value set max_execution_time PHP parameter to 0 .

Have more questions? Submit a request
Please sign in to leave a comment.